# Package org.apache.jmeter.protocol.tcp.sampler

- Interface Summary
  Interface | Description
  --- | ---
  TCPClient | Interface required by TCPSampler for TCPClient implementations.

- Class Summary
  Class | Description
  --- | ---
  AbstractTCPClient | Basic implementation of TCPClient interface.
  BinaryTCPClientImpl | TCPClient implementation.
  LengthPrefixedBinaryTCPClientImpl | Implements binary length-prefixed binary data.
  TCPClientDecorator |
  TCPClientImpl | Sample TCPClient implementation.
  TCPSampler | A sampler which understands Tcp requests.

- Exception Summary
  Exception | Description
  --- | ---
  ReadException | Exception that contains partial response (Text read until exception occurred)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.